@mixin dashed_li {
  padding: 0.25 * $padding_val;
  line-height: 1.5rem;
  &:before {
    content: "\2013";
    position: absolute;
    margin-left: -15px;
  }
}

.p_records {
  p {
    min-height: 200px;
  }
}

.instruc_short {
  .no-marg {
    margin-top: 0;
    margin-bottom: $padding_val;
  }

  .steps_container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 10px;
  }

  .col_child {
    display: flex;
    align-items: start;
  }

  .step_sep {
    flex-direction: column;
    margin-left: $padding_val;
  }

  .step_instr {
    padding-left: $padding_val;

    ul {
      margin: 0;
      list-style-type: none;
      padding-left: $padding_val;
      li {
        @include dashed_li;
      }
    }
  }

  .steps_number {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 42px;
    width: 42px;
    font-weight: 500;
    border-radius: $borderradius;
    border: 3px solid $highlight;
    flex-shrink: 0;
    flex-grow: 0;
  }

  .step_head {
    @extend .head2;
    font-size: 1.2rem;
    font-weight: 500;
  }

  @media (max-width: 900px) {
    .steps_container {
      grid-template-columns: repeat(1, 1fr);
    }
  }
}

.digitization_wrapper {
  display: flex;
  align-items: center; //verticall center
  justify-content: space-between;
  min-height: 300px;
  padding: $padding_val;

  backdrop-filter: blur(5px);
  border-radius: $borderradius;
}

.hww_placeholder_container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100%;
  width: 100%;
  margin-top: $padding_val;

  p {
    margin: $padding_val;
  }
}

.digi_button {
  display: flex;
  justify-content: center;
  margin: auto;
  width: 50%;
  padding: 10px;
  background-color: $base-color;
  color: $default-grey;
  border: none;
  border-radius: $borderradius;
  cursor: pointer;
  transition: background-color 0.3s;
  &:hover {
    background-color: $highlight;
  }

  &:active {
    transform: scale(0.95);
    /* Scaling button to 0.98 to its original size */
    box-shadow: 0px 0px 10px 1px rgba(0, 0, 0, 0.5);
    /* Lowering the shadow */
  }
}

.digi_button_nowid {
  @extend .digi_button;
  width: auto !important;
}

.digi_button_mid {
  @extend .digi_button;
  font-size: medium;
}

.digi_button_loading {
  @extend .digi_button;
  font-size: large;
  font-weight: 500;
  grid-column: 1 / -1;
  justify-self: center;
}

.digi_button_loading_dark {
  @extend .digi_button_loading;
  background-color: $dark-color !important;

  &:hover {
    background-color: $highlight !important;
  }
}

.loader {
  width: 50px;
  height: 50px;
  border: 5px solid #fff;
  border-bottom-color: $base-color;
  border-radius: 50%;
  display: inline-block;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.instruc_extend {
  ol {
    padding: 0;
    list-style-type: none;

    & > li {
      padding: $padding_val;
      line-height: 1.5rem;
      background-color: $default-grey;
      border-radius: $borderradius;
      margin-bottom: $padding_val;
      box-shadow: inset 4px 4px 12px 0 rgba(0, 0, 0, 0.25);
    }
  }

  ul {
    list-style-type: none;
    padding-left: 2 * $padding_val;
    li {
      @include dashed_li;
    }
  }
}

.thank_container {
  @extend .out_shad;
  display: grid;
  grid-column: 2 / span 3;
  grid-row: 3 / 5;
  border: 2px solid $highlight;
  border-radius: $borderradius;
  align-items: center;
}

.thank_item {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
}
